using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{



    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        foreach (GridDataItem outerItem in RadGrid1.MasterTableView.Items)
        {
            if (outerItem.ChildItem.NestedTableViews.Length > 0)
            {
                foreach (GridDataItem item in outerItem.ChildItem.NestedTableViews[0].Items)
                {
                    if ((item is GridDataItem && (item.OwnerTableView.DataKeyNames[0] == "OrderID")))
                    {
                        string orderID;
                        GridDataItem dataItem = (GridDataItem)item;
                        orderID = dataItem["OrderID"].Text;
                        Image image = (Image)dataItem["TemplateColumn"].FindControl("Image1");
                        image.Attributes.Add("onclick", "rConfirm('" + orderID + "');");
                    }
                }
            }
        }

    }

    protected override void RaisePostBackEvent(IPostBackEventHandler sourceControl, string eventArgument)
    {
        base.RaisePostBackEvent(sourceControl, eventArgument);

    }
}
